Skip to main content
GET
/
v1beta
/
findall
/
runs
/
{findall_id}
/
result
Python
from parallel import Parallel

client = Parallel(api_key="API Key")

run_result = client.beta.findall.result(
    findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)

print(f"FindAll run {run_result.run.findall_id} result: {run_result.model_dump_json(indent=2)}")
{
  "run": {
    "findall_id": "<string>",
    "status": {
      "status": "queued",
      "is_active": true,
      "metrics": {
        "generated_candidates_count": 0,
        "matched_candidates_count": 0
      },
      "termination_reason": "low_match_rate"
    },
    "generator": "base",
    "metadata": {},
    "created_at": "<string>",
    "modified_at": "<string>"
  },
  "candidates": [
    {
      "candidate_id": "<string>",
      "name": "<string>",
      "url": "<string>",
      "match_status": "generated",
      "description": "<string>",
      "output": {},
      "basis": [
        {
          "field": "<string>",
          "reasoning": "<string>",
          "citations": [],
          "confidence": "low"
        }
      ]
    }
  ],
  "last_event_id": "<string>"
}

Authorizations

x-api-key
string
header
required

Headers

parallel-beta
string | null

Path Parameters

findall_id
string
required

Response

Successful Response

Complete FindAll search results.

Represents a snapshot of a FindAll run, including run metadata and a list of candidate entities with their match status and details at the time the snapshot was taken.

run
FindAllRun · object
required

FindAll run object.

candidates
FindAllCandidate · object[]
required

All evaluated candidates at the time of the snapshot.

last_event_id
string | null

ID of the last event of the run at the time of the request. This can be used to resume streaming from the last event.